org.eclipse.emf.compare.match.eobject

## Enum EqualityHelperExtensionProvider.SpecificMatch

- java.lang.Object
- - java.lang.Enum<EqualityHelperExtensionProvider.SpecificMatch>
  - - org.eclipse.emf.compare.match.eobject.EqualityHelperExtensionProvider.SpecificMatch

All Implemented Interfaces:
  Serializable, Comparable<EqualityHelperExtensionProvider.SpecificMatch>

Enclosing interface:
  EqualityHelperExtensionProvider

    public static enum EqualityHelperExtensionProvider.SpecificMatch
    extends Enum<EqualityHelperExtensionProvider.SpecificMatch>

Enumeration used to return the result of a specific matching.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MATCH` If these objects have been determined to be a match by this extension.
`UNKNOWN` This means that this specific extension provider doesn't know how to handle the given objects.
`UNMATCH` If these objects have been determined to not match by this extension.

### Method Summary

All Methods Static Methods Concrete Methods
`static EqualityHelperExtensionProvider.SpecificMatch` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EqualityHelperExtensionProvider.SpecificMatch[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final EqualityHelperExtensionProvider.SpecificMatch UNKNOWN

This means that this specific extension provider doesn't know how to handle the given objects.

#### MATCH

    public static final EqualityHelperExtensionProvider.SpecificMatch MATCH

If these objects have been determined to be a match by this extension.

#### UNMATCH

    public static final EqualityHelperExtensionProvider.SpecificMatch UNMATCH

If these objects have been determined to not match by this extension.

### Method Detail

#### values

    public static EqualityHelperExtensionProvider.SpecificMatch[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EqualityHelperExtensionProvider.SpecificMatch c : EqualityHelperExtensionProvider.SpecificMatch.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EqualityHelperExtensionProvider.SpecificMatch valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null